> For the complete documentation index, see [llms.txt](https://docs.mburger.cloud/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mburger.cloud/android-docs/auth-feature/other-features.md).

# Other features

## Password Recovery

You can add a “password lost” feature by calling the API:Java

```kotlin
val email = edt_email.getText().toString();
MBurgerAuthTasks.requestPasswordRecovery(applicationContext, 
                                             new MBAuthApiForgotPasswordListener() {
                    override fun onForgotPasswordRequested() {
                        //TODO show an alert
                    }

                    override fun onForgotPasswordRequestedError(error: String) {
                        //TODO show an error dialog
                    }
                }, email);
```

This API will send an email to the user registered with the indicated email, and if the `email` is not present, it will return an error.

## Password Editing

You can add a “edit password” feature in your app by calling the API:

```kotlin
val old_password = edt_old_password.getText().toString();
val new_password = edt_new_password.getText().toString();

MBurgerAuthTasks.changePassword(getApplicationContext(), new MBAuthApiChangePasswordListener() {
                    override fun onPasswordChanged() {
                        //TODO show an alert
                    }

                    override fun onPasswordChangedError(error: String) {
                      //TODO show an error dialog
                    }
                }, old_password, new_password);
```

{% hint style="info" %}
This API will work only with an user authenticated.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.mburger.cloud/android-docs/auth-feature/other-features.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
